Skip to main content

Schedule

View as Markdown

Schedule object

schedule_idstring

UUID identifying the schedule.

Example: 01ef0cb45e2a1da4a61950e9b8789ce9

dashboard_idstring

UUID identifying the dashboard to which the schedule belongs.

Example: 04aab30f99ea444490c10c85852f216c

cron_scheduleobject

The cron expression describing the frequency of the periodic refresh for this schedule.

Show child attributesHide child attributes
quartz_cron_expressionstring

A cron expression using quartz syntax. EX: 0 0 8 * * ? represents everyday at 8am. See Cron Trigger for details.

Example: 0 0 8 * * ?

timezone_idstring

A Java timezone id. The schedule will be resolved with respect to this timezone. See Java TimeZone for details.

Example: Europe/London

pause_statusstring

The status indicates whether this schedule is paused or not.

Default: UNPAUSED

Values: UNPAUSED, PAUSED

display_namestring

The display name for schedule.

Example: Monthly Traffic Report Snapshot

Constraints: <= 255 characters

etagstring

The etag for the schedule. Must be left empty on create, must be provided on updates to ensure that the schedule has not been modified since the last read, and can be optionally provided on delete.

Example: 80611980

create_timestring

A timestamp indicating when the schedule was created.

update_timestring

A timestamp indicating when the schedule was last updated.

warehouse_idstring

The warehouse id to run the dashboard with for the schedule.

Example: 47bb1c472649e711

Get

GET /api/2.0/lakeview/dashboards/{dashboard_id}/schedules/{schedule_id}

Get dashboard schedule.

API scopes: dashboards

Parameters

schedule_idstringpath

UUID identifying the schedule.

Example: 01ef0cb45e2a1da4a61950e9b8789ce9

dashboard_idstringpath

UUID identifying the dashboard to which the schedule belongs.

Example: 04aab30f99ea444490c10c85852f216c

Response

Returns the Schedule object.

List

GET /api/2.0/lakeview/dashboards/{dashboard_id}/schedules

List dashboard schedules.

API scopes: dashboards

Parameters

dashboard_idstringpath

UUID identifying the dashboard to which the schedules belongs.

Example: 04aab30f99ea444490c10c85852f216c

page_sizeint32query

The number of schedules to return per page.

Default: 20

Constraints: [ 1 .. 100 ]

page_tokenstringquery

A page token, received from a previous ListSchedules call. Use this to retrieve the subsequent page.

Example: EAI=

Response

Returns a list of Schedule objects.

Create

POST /api/2.0/lakeview/dashboards/{schedule.dashboard_id}/schedules

Create dashboard schedule.

API scopes: dashboards

Parameters

scheduleobjectpath

The schedule to create. A dashboard is limited to 10 schedules.

Show child attributesHide child attributes
schedule_idstring

UUID identifying the schedule.

Example: 01ef0cb45e2a1da4a61950e9b8789ce9

dashboard_idstring

UUID identifying the dashboard to which the schedule belongs.

Example: 04aab30f99ea444490c10c85852f216c

cron_scheduleobject

The cron expression describing the frequency of the periodic refresh for this schedule.

Show child attributesHide child attributes
quartz_cron_expressionstring

A cron expression using quartz syntax. EX: 0 0 8 * * ? represents everyday at 8am. See Cron Trigger for details.

Example: 0 0 8 * * ?

timezone_idstring

A Java timezone id. The schedule will be resolved with respect to this timezone. See Java TimeZone for details.

Example: Europe/London

pause_statusstring

The status indicates whether this schedule is paused or not.

Default: UNPAUSED

Values: UNPAUSED, PAUSED

display_namestring

The display name for schedule.

Example: Monthly Traffic Report Snapshot

Constraints: <= 255 characters

etagstring

The etag for the schedule. Must be left empty on create, must be provided on updates to ensure that the schedule has not been modified since the last read, and can be optionally provided on delete.

Example: 80611980

create_timestring

A timestamp indicating when the schedule was created.

update_timestring

A timestamp indicating when the schedule was last updated.

warehouse_idstring

The warehouse id to run the dashboard with for the schedule.

Example: 47bb1c472649e711

Response

Returns the Schedule object.

Update

PUT /api/2.0/lakeview/dashboards/{schedule.dashboard_id}/schedules/{schedule.schedule_id}

Update dashboard schedule.

API scopes: dashboards

Parameters

scheduleobjectpath

The schedule to update.

Show child attributesHide child attributes
schedule_idstring

UUID identifying the schedule.

Example: 01ef0cb45e2a1da4a61950e9b8789ce9

dashboard_idstring

UUID identifying the dashboard to which the schedule belongs.

Example: 04aab30f99ea444490c10c85852f216c

cron_scheduleobject

The cron expression describing the frequency of the periodic refresh for this schedule.

Show child attributesHide child attributes
quartz_cron_expressionstring

A cron expression using quartz syntax. EX: 0 0 8 * * ? represents everyday at 8am. See Cron Trigger for details.

Example: 0 0 8 * * ?

timezone_idstring

A Java timezone id. The schedule will be resolved with respect to this timezone. See Java TimeZone for details.

Example: Europe/London

pause_statusstring

The status indicates whether this schedule is paused or not.

Default: UNPAUSED

Values: UNPAUSED, PAUSED

display_namestring

The display name for schedule.

Example: Monthly Traffic Report Snapshot

Constraints: <= 255 characters

etagstring

The etag for the schedule. Must be left empty on create, must be provided on updates to ensure that the schedule has not been modified since the last read, and can be optionally provided on delete.

Example: 80611980

create_timestring

A timestamp indicating when the schedule was created.

update_timestring

A timestamp indicating when the schedule was last updated.

warehouse_idstring

The warehouse id to run the dashboard with for the schedule.

Example: 47bb1c472649e711

Response

Returns the Schedule object.

Delete

DELETE /api/2.0/lakeview/dashboards/{dashboard_id}/schedules/{schedule_id}

Delete dashboard schedule.

API scopes: dashboards

Parameters

schedule_idstringpath

UUID identifying the schedule.

Example: 01ef0cb45e2a1da4a61950e9b8789ce9

dashboard_idstringpath

UUID identifying the dashboard to which the schedule belongs.

Example: 04aab30f99ea444490c10c85852f216c

etagstringquery

The etag for the schedule. Optionally, it can be provided to verify that the schedule has not been modified from its last retrieval.

Example: 80611980